Method: projects.locations.spaces.registerApphubResources

Registers a list of deployed GCP resources with App Hub.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{parent=projects/*/locations/*/spaces/*}:registerApphubResources

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent space. Format: projects/{project}/locations/{location}/spaces/{space}

Request body

The request body contains data with the following structure:

JSON representation
{
  "deployedResources": [
    {
      object (DeployedResource)
    }
  ],

  // Union field application_identifier can be only one of the following:
  "adcApplicationUri": string,
  "apphubApplicationUri": string
  // End of list of possible types for union field application_identifier.
}
Fields
deployedResources[]

object (DeployedResource)

Optional. The list of deployed GCP resources to register.

Union field application_identifier. The application identifier. application_identifier can be only one of the following:
adcApplicationUri

string

The resource uri of the Application. Used for registering resources of an application. Format: projects/{project}/locations/{location}/spaces/{space}/applications/{application}

apphubApplicationUri

string

The resource uri of the App Hub application. Used for registering resources of an application template. Format: projects/{project}/locations/{location}/applications/{application}

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • designcenter.spaces.get

For more information, see the IAM documentation.